# DaprProtos.PubsubSubscriptionOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.PubsubSubscriptionOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.PubsubSubscription`, `DaprProtos.PubsubSubscription.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.PubsubSubscriptionOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `containsMetadata​(String key)` `map<string, string> metadata = 3 [json_name = "metadata"];`
`String` `getDeadLetterTopic()` `string dead_letter_topic = 5 [json_name = "deadLetterTopic"];`
`com.google.protobuf.ByteString` `getDeadLetterTopicBytes()` `string dead_letter_topic = 5 [json_name = "deadLetterTopic"];`
`Map<String,​String>` `getMetadata()` Deprecated.
`int` `getMetadataCount()` `map<string, string> metadata = 3 [json_name = "metadata"];`
`Map<String,​String>` `getMetadataMap()` `map<string, string> metadata = 3 [json_name = "metadata"];`
`String` `getMetadataOrDefault​(String key, String defaultValue)` `map<string, string> metadata = 3 [json_name = "metadata"];`
`String` `getMetadataOrThrow​(String key)` `map<string, string> metadata = 3 [json_name = "metadata"];`
`String` `getPubsubName()` `string pubsub_name = 1 [json_name = "pubsubname"];`
`com.google.protobuf.ByteString` `getPubsubNameBytes()` `string pubsub_name = 1 [json_name = "pubsubname"];`
`DaprProtos.PubsubSubscriptionRules` `getRules()` `.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`
`DaprProtos.PubsubSubscriptionRulesOrBuilder` `getRulesOrBuilder()` `.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`
`String` `getTopic()` `string topic = 2 [json_name = "topic"];`
`com.google.protobuf.ByteString` `getTopicBytes()` `string topic = 2 [json_name = "topic"];`
`boolean` `hasRules()` `.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getPubsubName

    String getPubsubName()

`string pubsub_name = 1 [json_name = "pubsubname"];`

Returns:
  The pubsubName.

#### getPubsubNameBytes

    com.google.protobuf.ByteString getPubsubNameBytes()

`string pubsub_name = 1 [json_name = "pubsubname"];`

Returns:
  The bytes for pubsubName.

#### getTopic

    String getTopic()

`string topic = 2 [json_name = "topic"];`

Returns:
  The topic.

#### getTopicBytes

    com.google.protobuf.ByteString getTopicBytes()

`string topic = 2 [json_name = "topic"];`

Returns:
  The bytes for topic.

#### getMetadataCount

    int getMetadataCount()

`map<string, string> metadata = 3 [json_name = "metadata"];`

#### containsMetadata

    boolean containsMetadata​(String key)

`map<string, string> metadata = 3 [json_name = "metadata"];`

#### getMetadata

    @Deprecated
    Map<String,​String> getMetadata()

Deprecated.
Use `getMetadataMap()` instead.

#### getMetadataMap

    Map<String,​String> getMetadataMap()

`map<string, string> metadata = 3 [json_name = "metadata"];`

#### getMetadataOrDefault

    String getMetadataOrDefault​(String key,
                                String defaultValue)

`map<string, string> metadata = 3 [json_name = "metadata"];`

#### getMetadataOrThrow

    String getMetadataOrThrow​(String key)

`map<string, string> metadata = 3 [json_name = "metadata"];`

#### hasRules

    boolean hasRules()

`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`

Returns:
  Whether the rules field is set.

#### getRules

    DaprProtos.PubsubSubscriptionRules getRules()

`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`

Returns:
  The rules.

#### getRulesOrBuilder

    DaprProtos.PubsubSubscriptionRulesOrBuilder getRulesOrBuilder()

`.dapr.proto.runtime.v1.PubsubSubscriptionRules rules = 4 [json_name = "rules"];`

#### getDeadLetterTopic

    String getDeadLetterTopic()

`string dead_letter_topic = 5 [json_name = "deadLetterTopic"];`

Returns:
  The deadLetterTopic.

#### getDeadLetterTopicBytes

    com.google.protobuf.ByteString getDeadLetterTopicBytes()

`string dead_letter_topic = 5 [json_name = "deadLetterTopic"];`

Returns:
  The bytes for deadLetterTopic.